function Controller() {
    function manageLov() {
        var manageLov = Alloy.createController("manageLov").getView();
        manageLov.open();
    }
    function closeView() {
        $.addFriends.hide();
        $.head.setOpacity(1);
        $.head.setTouchEnabled(true);
        $.tableview.setOpacity(1);
        $.tableview.setTouchEnabled(true);
        $.foot.setOpacity(1);
        $.foot.setTouchEnabled(true);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.win = Ti.UI.createWindow({
        id: "win"
    });
    $.__views.win && $.addTopLevelView($.__views.win);
    $.__views.head = Ti.UI.createView({
        id: "head"
    });
    $.__views.win.add($.__views.head);
    $.__views.tableview = Ti.UI.createTableView({
        visible: false,
        selectionStyle: "none",
        separatorColor: "transparent",
        id: "tableview"
    });
    $.__views.win.add($.__views.tableview);
    $.__views.label_noLovs = Ti.UI.createLabel({
        text: "You haven't created any LOV's yet",
        color: "#002966",
        top: "40%",
        visible: false,
        font: {
            fontWeight: "bold",
            fontSize: "13dp"
        },
        id: "label_noLovs"
    });
    $.__views.win.add($.__views.label_noLovs);
    $.__views.addFriends = Ti.UI.createView({
        backgroundImage: "/images/background/profile_bar.jpg",
        borderColor: "#002966",
        top: "25%",
        height: "40%",
        width: "80%",
        borderRadius: 10,
        zIndex: 2,
        visible: false,
        id: "addFriends"
    });
    $.__views.win.add($.__views.addFriends);
    $.__views.noFriends = Ti.UI.createLabel({
        text: "You haven't added any friends yet!",
        color: "#002966",
        top: "40%",
        font: {
            fontWeight: "bold",
            fontSize: "12dp"
        },
        id: "noFriends"
    });
    $.__views.addFriends.add($.__views.noFriends);
    $.__views.closeView = Ti.UI.createView({
        backgroundImage: "/images/buttons/button_close2.png",
        top: 0,
        right: 0,
        width: "9%",
        height: "10%",
        zIndex: 3,
        id: "closeView"
    });
    $.__views.addFriends.add($.__views.closeView);
    closeView ? $.__views.closeView.addEventListener("click", closeView) : __defers["$.__views.closeView!click!closeView"] = true;
    $.__views.activityIndicator = Ti.UI.createActivityIndicator({
        message: "Loading...",
        color: "#4C4C4C",
        top: "25%",
        height: "30%",
        width: "60%",
        id: "activityIndicator"
    });
    $.__views.win.add($.__views.activityIndicator);
    $.__views.foot = Ti.UI.createView({
        id: "foot"
    });
    $.__views.win.add($.__views.foot);
    exports.destroy = function() {};
    _.extend($, $.__views);
    Ti.App.Properties.getObject("userData");
    $.win.addEventListener("open", function() {
        var onSuccessCallback = function(e) {
            function newRow() {
                var row = Ti.UI.createTableViewRow({
                    height: "35%",
                    top: "9%",
                    width: "100%",
                    className: "manage"
                });
                row.rowId = postData.postId;
                row.message = postData.title;
                row.pic = postData.pic;
                row.audio = postData.audio;
                row.date = postData.date_time;
                var lovImage;
                row.height = Ti.Platform.displayCaps.platformHeight / 3.5;
                var lovImage = Ti.UI.createView({
                    top: "4.5%",
                    left: "3%",
                    height: "31.5%",
                    width: "15%"
                });
                row.add(lovImage);
                lovImage.height = .08 * Ti.Platform.displayCaps.platformHeight;
                lovImage.width = .14 * Ti.Platform.displayCaps.platformWidth;
                lovImage.backgroundImage = "" != row.pic && null != row.pic ? "http://108.166.87.132/newapi/" + row.pic : "/images/background/appicon.png";
                var playPause = Ti.UI.createButton({
                    backgroundImage: "/images/buttons/button_playPause_up.png",
                    top: "6.5%",
                    left: "20%",
                    height: "27%",
                    width: "12%"
                });
                row.add(playPause);
                playPause.height = .07 * Ti.Platform.displayCaps.platformHeight;
                playPause.width = .11 * Ti.Platform.displayCaps.platformWidth;
                if (!row.audio) {
                    playPause.setOpacity(.5);
                    playPause.setTouchEnabled(false);
                }
                var sound;
                playPause.addEventListener("click", function() {
                    Titanium.Media.audioSessionMode = Ti.Media.AUDIO_SESSION_MODE_PLAYBACK;
                    if (sound && sound.playing) {
                        sound.pause();
                        playPause.backgroundImage = "/images/buttons/button_playPause_up.png";
                    } else if (sound && sound.paused) sound.play(); else {
                        sound = Titanium.Media.createSound({
                            url: "http://108.166.87.132/newapi/" + row.audio
                        });
                        sound.play();
                        playPause.backgroundImage = "/images/buttons/button_playPause_down.png";
                        slider.max = 1e3 * sound.duration;
                        sound.addEventListener("complete", function() {
                            playPause.backgroundImage = "/images/buttons/button_playPause_up.png";
                            slider.value = 0;
                        });
                        setInterval(function() {
                            if (sound.isPlaying()) {
                                Ti.API.info("time " + sound.time);
                                slider.value = sound.time;
                            }
                        }, 500);
                    }
                });
                var slider = Ti.UI.createSlider({
                    top: "11.5%",
                    right: "2%",
                    width: "63%",
                    value: 0,
                    min: 0,
                    touchEnabled: false
                });
                row.add(slider);
                slider.top = "7.5%";
                var sliderHide = Ti.UI.createView({
                    backgroundColor: "transparent",
                    top: "8%",
                    right: "2%"
                });
                sliderHide.height = .08 * Ti.Platform.displayCaps.platformHeight;
                sliderHide.width = .65 * Ti.Platform.displayCaps.platformWidth;
                row.add(sliderHide);
                var lovMsg = Ti.UI.createLabel({
                    text: row.message,
                    color: "#4C4C4C",
                    top: "39%",
                    width: "95%",
                    height: "20%",
                    font: {
                        fontSize: "12dp"
                    }
                });
                lovMsg.color = Alloy.Globals.labelGray;
                row.add(lovMsg);
                lovMsg.height = .07 * Ti.Platform.displayCaps.platformHeight;
                var bottomView = Ti.UI.createView({
                    backgroundColor: "#FFFFFF",
                    bottom: 0,
                    height: "25%",
                    width: "100%"
                });
                bottomView.backgroundColor = Alloy.Globals.bottomView;
                row.add(bottomView);
                bottomView.height = .075 * Ti.Platform.displayCaps.platformHeight;
                var date = Ti.UI.createLabel({
                    text: postData.date_time,
                    color: "#4C4C4C",
                    left: "10%",
                    width: "40%",
                    height: "80%",
                    font: {
                        fontSize: "12dp"
                    }
                });
                date.color = Alloy.Globals.labelGray;
                bottomView.add(date);
                var share = Ti.UI.createButton({
                    backgroundImage: "/images/manageLov/button_share.png",
                    bottom: "2%",
                    right: "15%",
                    height: "21%",
                    width: "9%"
                });
                row.add(share);
                share.height = .06 * Ti.Platform.displayCaps.platformHeight;
                share.width = .09 * Ti.Platform.displayCaps.platformWidth;
                share.addEventListener("click", function() {
                    modalShare.show();
                    $.head.setOpacity(.4);
                    $.head.setTouchEnabled(false);
                    $.tableview.setOpacity(.4);
                    $.tableview.setTouchEnabled(false);
                    $.foot.setOpacity(.4);
                    $.foot.setTouchEnabled(false);
                });
                var modalShare = Ti.UI.createView({
                    backgroundImage: "/images/manageLov/modalShare_back.png",
                    top: "20%",
                    modal: true,
                    height: "42%",
                    width: "83%",
                    visible: false,
                    opacity: .95,
                    zIndex: 4
                });
                $.win.add(modalShare);
                var modalClose = Ti.UI.createView({
                    backgroundImage: "/images/buttons/button_close2.png",
                    top: "12%",
                    right: "8%",
                    width: "7%",
                    height: "9%"
                });
                modalShare.add(modalClose);
                modalClose.addEventListener("click", function() {
                    modalShare.hide();
                    $.head.setOpacity(1);
                    $.head.setTouchEnabled(true);
                    $.tableview.setOpacity(1);
                    $.tableview.setTouchEnabled(true);
                    $.foot.setOpacity(1);
                    $.foot.setTouchEnabled(true);
                });
                var modalEmail = Ti.UI.createButton({
                    backgroundImage: "/images/buttons/button_email_up.png",
                    backgroundSelectedImage: "/images/buttons/button_email_down.png",
                    top: "47.5%",
                    left: "15%",
                    height: "22%",
                    width: "17%"
                });
                modalShare.add(modalEmail);
                modalEmail.addEventListener("click", function() {
                    var email = Ti.UI.createEmailDialog();
                    email.subject = "Share the LOV";
                    email.messageBody = null != row.message && "" != row.message ? "A LOV for you!\n" + row.message : "A LOV for you!";
                    var blobPic;
                    var blobPic = lovImage.toImage().media;
                    var pic = blobPic.imageAsResized(200, 200);
                    email.addAttachment(pic);
                    if ("" != row.audio && null != row.audio) {
                        var xhr = Titanium.Network.createHTTPClient({
                            onload: function() {
                                var a = Ti.Filesystem.getFile(Ti.Filesystem.applicationDataDirectory, "audio.mp4");
                                a.write(this.responseData);
                                email.addAttachment(a);
                                Ti.API.info("a size: " + a.size);
                                email.open();
                            },
                            timeout: 1e4
                        });
                        xhr.open("GET", "http://108.166.87.132/newapi/" + row.audio);
                        xhr.send();
                    } else email.open();
                    email.addEventListener("android:back", function() {
                        email.close();
                    });
                });
                var modalFacebook = Ti.UI.createButton({
                    backgroundImage: "/images/localLogin/facebook.png",
                    top: "49%",
                    left: "41.5%",
                    height: "20%",
                    width: "15%"
                });
                modalShare.add(modalFacebook);
                modalFacebook.addEventListener("click", function() {
                    Ti.include("/include/common.js");
                    Ti.API.info(row.message);
                    if (fb.loggedIn) {
                        Ti.API.info("facebook status: " + fb.loggedIn);
                        var pic = "http://108.166.87.132/newapi/" + row.pic;
                        var message = row.message;
                        row.audio;
                        var data = {
                            name: "LOV",
                            link: "http://www.lovedonesvoice.com",
                            description: message,
                            picture: pic
                        };
                        fb.dialog("feed", data, function(e) {
                            e.success && e.result ? alert("Success!  New Post ID: " + e.result) : e.error ? alert(e.error) : alert("User canceled dialog.");
                        });
                    } else {
                        Ti.API.info("else facebook status: " + fb.loggedIn);
                        Ti.Facebook.authorize();
                    }
                });
                var modalFriends = Ti.UI.createButton({
                    backgroundImage: "/images/buttons/footer/button_friends_up.png",
                    top: "46%",
                    right: "6%",
                    height: "26%",
                    width: "35%"
                });
                modalShare.add(modalFriends);
                modalFriends.addEventListener("click", function() {
                    var onSuccessCallback = function(e) {
                        function newRow() {
                            var Lrow = Ti.UI.createTableViewRow({
                                backgroundImage: "/images/background/profile_bar.jpg",
                                top: "9%",
                                height: "25%",
                                width: "100%",
                                className: "share"
                            });
                            Lrow.id = fList.id;
                            Lrow.post = row.rowId;
                            Lrow.height = .15 * Ti.Platform.displayCaps.platformHeight;
                            var fImage;
                            Lrow.height = .15 * Ti.Platform.displayCaps.platformHeight;
                            var fImage = Ti.UI.createView({
                                left: "8%"
                            });
                            Lrow.add(fImage);
                            fImage.height = .1 * Ti.Platform.displayCaps.platformHeight;
                            fImage.width = .18 * Ti.Platform.displayCaps.platformWidth;
                            fImage.backgroundImage = null != fList.pic && "" != fList.pic ? "http://108.166.87.132/newapi/" + fList.pic : "/images/background/appicon.png";
                            var name = Ti.UI.createLabel({
                                text: fList.name,
                                color: "#002966",
                                left: "26%",
                                width: "auto",
                                font: {
                                    fontSize: "15dp",
                                    fontWeight: "bold"
                                }
                            });
                            Lrow.add(name);
                            name.left = .3 * Ti.Platform.displayCaps.platformWidth;
                            var buttonShare = Ti.UI.createButton({
                                backgroundImage: "/images/buttons/button_share_up.png",
                                backgroudSelectedImage: "/images/buttons/button_share_down.png",
                                bottom: 0,
                                height: "12%",
                                width: "100%"
                            });
                            friendsShare.add(buttonShare);
                            buttonShare.addEventListener("click", function() {
                                for (var i = 0; tableviewShare.data[0].rowCount > i; i++) if (true == tableviewShare.data[0].rows[i].hasCheck) {
                                    var user = tableviewShare.data[0].rows[i].id;
                                    JSON.stringify(user);
                                    var userInt = parseInt(user);
                                    Ti.API.info(user);
                                    var post = JSON.stringify(Lrow.post);
                                    Ti.API.info(post);
                                }
                                var onSuccessCallback = function(e) {
                                    Ti.API.info(e.data);
                                    Ti.API.info(e.status);
                                    JSON.parse(e.data);
                                    if ("[]" != e.data) {
                                        alert("You've Spread the LOV!");
                                        modalShare.hide();
                                        friendsShare.hide();
                                        $.head.setOpacity(1);
                                        $.head.setTouchEnabled(true);
                                        $.tableview.setOpacity(1);
                                        $.tableview.setTouchEnabled(true);
                                        $.foot.setOpacity(1);
                                        $.foot.setTouchEnabled(true);
                                    } else alert("unknown error");
                                };
                                var onErrorCallback = function(e) {
                                    Ti.API.info(e.data);
                                    alert("Uknown error has occured");
                                };
                                var XHR = require("/include/xhr");
                                var xhr = new XHR();
                                var url = "http://108.166.87.132/newapi/api.php?q=share_post&post_id=" + Lrow.post + "&friend_id=" + userInt;
                                var options = {
                                    contentType: "application/x-www-form-urlencoded; image/png;"
                                };
                                xhr.get(url, onSuccessCallback, onErrorCallback, options);
                            });
                            Lrow.addEventListener("click", function() {
                                Lrow.hasCheck = true == Lrow.hasCheck ? false : true;
                            });
                            return Lrow;
                        }
                        Ti.API.info(e.data);
                        Ti.API.info(e.status);
                        var fL = JSON.parse(e.data);
                        if ("[]" != e.data) {
                            modalShare.hide();
                            friendsShare.show();
                            items = [];
                            for (var i = 0; fL.length > i; ++i) {
                                var fList = {};
                                fList.id = fL[i].id;
                                fList.pic = fL[i].profile_pic;
                                fList.name = fL[i].name;
                                fList.shared = fL[i].posts_shared;
                                Ti.App.Properties.setObject("listObj", fList);
                                items.push(newRow(fL[i]));
                                Ti.API.info(fL[i]);
                            }
                            tableviewShare.data = items;
                        } else {
                            modalShare.hide();
                            $.addFriends.show();
                            $.head.setOpacity(.4);
                            $.head.setTouchEnabled(false);
                            $.tableview.setOpacity(.4);
                            $.tableview.setTouchEnabled(false);
                            $.foot.setOpacity(.4);
                            $.foot.setTouchEnabled(false);
                        }
                    };
                    var onErrorCallback = function(e) {
                        Ti.API.info(e.data);
                        alert("Uknown error has occured");
                    };
                    var XHR = require("/include/xhr");
                    var xhr = new XHR();
                    var url = "http://108.166.87.132/newapi/api.php?q=friends";
                    var options = {
                        contentType: "application/x-www-form-urlencoded; image/png;"
                    };
                    xhr.get(url, onSuccessCallback, onErrorCallback, options);
                });
                var checkBlank = Ti.UI.createView({
                    backgroundImage: "/images/localLogin/checkbox_blank.png",
                    bottom: "14%",
                    height: "10%",
                    width: "8.5%",
                    left: "24%"
                });
                modalShare.add(checkBlank);
                checkBlank.addEventListener("click", function() {
                    checkBlank.hide();
                    checkChecked.show();
                    modalFriends.setOpacity(.5);
                    modalFriends.setTouchEnabled(false);
                });
                var checkChecked = Ti.UI.createView({
                    backgroundImage: "/images/localLogin/checkbox_checked.png",
                    bottom: "14%",
                    height: "10%",
                    width: "8.5%",
                    left: "24%",
                    visible: false
                });
                modalShare.add(checkChecked);
                checkChecked.addEventListener("click", function() {
                    checkBlank.show();
                    checkChecked.hide();
                    modalFriends.setOpacity(1);
                    modalFriends.setTouchEnabled(true);
                });
                var checkLabel = Ti.UI.createLabel({
                    text: "Make post public",
                    bottom: "15.5%",
                    left: "36%",
                    color: "#FFFFFF",
                    font: {
                        fontSize: "12dp",
                        fontWeight: "bold"
                    }
                });
                modalShare.add(checkLabel);
                var modalDelete = Ti.UI.createView({
                    backgroundImage: "/images/createLov/modalDelete_back.png",
                    top: "15%",
                    modal: true,
                    height: "40%",
                    width: "90%",
                    visible: false,
                    opacity: .95,
                    zIndex: 4
                });
                $.win.add(modalDelete);
                var deleteClose = Ti.UI.createView({
                    backgroundImage: "/images/buttons/button_close2.png",
                    top: "12%",
                    right: "8%",
                    width: "10%",
                    height: "13%"
                });
                modalDelete.add(deleteClose);
                deleteClose.addEventListener("click", function() {
                    modalDelete.hide();
                    $.head.setOpacity(1);
                    $.head.setTouchEnabled(true);
                    $.tableview.setOpacity(1);
                    $.tableview.setTouchEnabled(true);
                    $.foot.setOpacity(1);
                    $.foot.setTouchEnabled(true);
                });
                var modalDeleteLov = Ti.UI.createButton({
                    backgroundImage: "/images/buttons/button_modalDelete_up.png",
                    backgroundSelectedImage: "/images/buttons/button_modalDelete_down.png",
                    top: "52%",
                    height: "20%",
                    width: "32%"
                });
                modalDelete.add(modalDeleteLov);
                modalDeleteLov.addEventListener("click", function() {
                    var onSuccessCallback = function(e) {
                        Ti.API.info(e.data);
                        Ti.API.info(e.status);
                        JSON.parse(e.data);
                        if (e.data != []) {
                            var deleteDialog = Ti.UI.createAlertDialog({
                                message: "This LOV has been deleted",
                                ok: "Okay",
                                title: "Delete LOV"
                            });
                            deleteDialog.addEventListener("click", function() {
                                manageLov();
                            });
                            deleteDialog.show();
                        } else Ti.API.info(e.data);
                    };
                    var onErrorCallback = function(e) {
                        Ti.API.info(e.data);
                        alert("Uknown error has occured");
                    };
                    var XHR = require("/include/xhr");
                    var xhr = new XHR();
                    var url = "http://108.166.87.132/newapi/api.php?q=delete_post&post_id=" + row.rowId + "&sure=1";
                    var options = {
                        contentType: "application/x-www-form-urlencoded; image/png;"
                    };
                    xhr.get(url, onSuccessCallback, onErrorCallback, options);
                });
                var deleteLov = Ti.UI.createButton({
                    backgroundImage: "/images/manageLov/button_close_up.png",
                    backgroundSelectedImage: "/images/manageLov/button_close_down.png",
                    bottom: "2%",
                    right: "3%",
                    height: "20%",
                    width: "9%"
                });
                row.add(deleteLov);
                deleteLov.height = .06 * Ti.Platform.displayCaps.platformHeight;
                deleteLov.width = .09 * Ti.Platform.displayCaps.platformWidth;
                deleteLov.addEventListener("click", function() {
                    modalDelete.show();
                    $.head.setOpacity(.4);
                    $.head.setTouchEnabled(false);
                    $.tableview.setOpacity(.4);
                    $.tableview.setTouchEnabled(false);
                    $.foot.setOpacity(.4);
                    $.foot.setTouchEnabled(false);
                });
                var friendsShare = Ti.UI.createView({
                    top: "10%",
                    bottom: "20%",
                    width: "80%",
                    borderRadius: 10,
                    zIndex: 2,
                    visible: false
                });
                $.win.add(friendsShare);
                var tableviewShare = Ti.UI.createTableView({
                    backgroundImage: "/images/background/profile_bar.jpg",
                    borderColor: "#002966",
                    borderRadius: 10,
                    top: 0,
                    bottom: "12%",
                    width: "100%"
                });
                friendsShare.add(tableviewShare);
                var friendsClose = Ti.UI.createView({
                    backgroundImage: "/images/buttons/button_close2.png",
                    top: 0,
                    right: 0,
                    width: "14%",
                    height: "10%",
                    zIndex: 3
                });
                friendsShare.add(friendsClose);
                friendsClose.addEventListener("click", function() {
                    modalShare.hide();
                    friendsShare.hide();
                    $.head.setOpacity(1);
                    $.head.setTouchEnabled(true);
                    $.tableview.setOpacity(1);
                    $.tableview.setTouchEnabled(true);
                    $.foot.setOpacity(1);
                    $.foot.setTouchEnabled(true);
                });
                return row;
            }
            Ti.API.info(e.data);
            Ti.API.info(e.status);
            var post = JSON.parse(e.data);
            if ("[]" != e.data && null != e.data) {
                $.tableview.show();
                $.activityIndicator.show();
                items = [];
                for (var i = 0; post.length > i; ++i) {
                    var postData = {};
                    postData.title = post[i].title;
                    postData.date_time = post[i].date_time;
                    postData.pic = post[i].pic;
                    postData.audio = post[i].audio;
                    postData.postId = post[i].id;
                    Ti.App.Properties.setObject("postObj", postData);
                    items.push(newRow(post[i]));
                }
                $.tableview.data = items;
                $.activityIndicator.hide();
            } else $.label_noLovs.show();
        };
        var onErrorCallback = function(e) {
            Ti.API.info(e.data);
            alert("Uknown error has occured");
        };
        var XHR = require("/include/xhr");
        var xhr = new XHR();
        var url = "http://108.166.87.132/newapi/api.php?q=get_my_posts";
        xhr.get(url, onSuccessCallback, onErrorCallback);
    });
    $.win.addEventListener("blur", function() {
        $.win.close(exitLeft);
    });
    $.win.open();
    __defers["$.__views.closeView!click!closeView"] && $.__views.closeView.addEventListener("click", closeView);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;